#ifndef NET_H
#define NET_H
/*
 * $Id: net.h,v 1.2 2013/02/09 15:25:11 jacadcaps Exp $
 */

extern int sock;

int tcp_earlyinit(void);
void tcp_latecleanup(void);
int tcp_connect(STRPTR host, int port);
void tcp_disconnect(void);
int rbf_version(int version, int revision);
int rbf_auth(STRPTR password);
void rbf_display_connection_failed(void);
int rbf_handle_password(STRPTR password);
int rbf_clientinit(int shared);
int rbf_init(STRPTR host, int port, STRPTR password);
int rbf_send_keyevent(struct InputEvent *ie);
int	rbf_send_mouseevent(struct InputEvent *ie);
void rbf_cleanup(void);

#endif /* !NET_H */
